* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    color: black;
    text-decoration: none;
}

/* ===== CONTAINER ===== */
div.container {
    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

/* ===== HEADER ===== */
div.container > header {
    width: 100%;
    height: 110px;
    display: flex;
    align-items: center;
    background-color: white;
    position: relative;
}

div.container > header > a > img.loga,
div.container > footer > div > section > img.loga {
    height: 100px;
    width: 100px;
}

div.container > header > h1 {
    display: flex;
    align-items: center;
    font-size: 30px;
    margin-right: 5px;
    
}

div.container > header > nav {
    display: flex;
    align-items: center;
    height: 100px;
    width: 20%;
    justify-content: end;
    
}

/* ===== HAMBURGER MENY ===== */
#myLinks {
    display: none;
    position: absolute;
    top: 110px;
    right: 0;
    width: 100%;
    background-color: white;
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
    text-align: center;
    
}

#myLinks a {
    display: block;
    padding: 15px;
    font-size: 18px;
    text-decoration: none;
    color: black;
    border-bottom: 1px solid #eee;
}

#myLinks a:hover {
    background-color: #eee;
}

.icon {
    font-size: 40px;
    cursor: pointer;
    padding: 10px;
    color: black;
    text-decoration: none;
}

/* ===== MAIN ===== */
div.container > main > div.huvudtext, div.huvudinfo
{
    text-align: center;
}

div.container > main > div.huvudtext {
    width: 100%;
    height: 600px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-image: url(../img/Designer\ \(1\).png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

div.container > main > div.huvudtext > section > h2.rubrik {
    font-size: 60px;
}

div.container > main > div.huvudtext > section > p.text {
    font-size: 30px;
    font-weight: bold;
}

div.container > main > div.huvudinfo > section.telefon > h2,
div.container > main > div.huvudinfo > section.telefon > p {
    font-size: 40px;
    margin: 20px;
}

div.container > main > div.huvudinfo > section.info > h3.infomation {
    padding: 10px;
    width: 80%;
    margin: 0 auto;
    font-size: 20px;
}

/* ===== FOOTER ===== */
div.container > footer {
    padding: 40px;
    background-color: white;
}

div.container > footer > div.footer {
    display: flex;
    flex-direction: column;
    align-items: center;
}

div.container > footer > div.footer > section {
    padding: 20px;
    width: 350px;
    height: 250px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
div.container > footer > div.footer > section > div.öppettider {
    display: flex;
}
div.container > footer > div.footer > section > div.öppettider > div.tider > p {
    padding-left: 10px;
}



/* ===== DESKTOP ===== */
@media screen and (min-width: 767px) {
    div.container > header > nav {
    width: 85%;
    
    }
    /* Visa meny som vanlig navbar */
    #myLinks {
        display: flex !important;
        position: static;
        width: auto;
        box-shadow: none;
    }

    #myLinks a {
        margin-left: 40px;
        padding: 0;
        border: none;
    }

    .icon {
        display: none;
    }

    div.container > main > p.infomation {
        width: 50%;
    }

    div.container > footer > div.footer {
        flex-direction: row;
        justify-content: space-evenly;
    }

    div.container > footer > article > section > div.öppettider > div {
        margin: 10px;
    }

    div.container > footer > article > section > h3 {
        font-size: 25px;
    }

    div.container > footer > article > section > p {
        font-size: 20px;
    }
}